<?php
/*
Plugin Name: Create Your League
Plugin URI: http://www.createyourleague.com/
Version: 0.3
Author: createyourleague, http://www.risultatieclassifiche.net/
Author URI: http://www.risultatieclassifiche.net/
Description: Create Your League is a completely FREE service that allows you to publish the ranking table of your league directly to your WordPress web site.
*/

/*
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function createyourleague_context() {
    $url = (!empty($_SERVER['HTTPS'])) ? "https://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'] : "http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
    $opts = array(
      'http' => array(
        'method'=>"GET",
        'header'=>"Referer: $url\r\n",
      )
    );
    return stream_context_create($opts);
}

function createyourleague_host($lang = '')
{
  $host = 'www.createyourleague.com';
  if ($lang == 'it') $host = 'www.risultatieclassifiche.net';
  return $host;
}

function createyourleague_ranking_func($atts) {
    $id = $atts['id'];
    $lang = $atts['lang'];
    $host = createyourleague_host($lang);

    return file_get_contents('http://' . $host . '/api/php/' . $id, false, createyourleague_context());
}

function createyourleague_days_func($atts) {
    $id = $atts['id'];
    $lang = $atts['lang'];
    $host = createyourleague_host($lang);

    return file_get_contents('http://' . $host . '/api/php-days/' . $id, false, createyourleague_context());
}

function createyourleague_lastday_func($atts) {
    $id = $atts['id'];
    $lang = $atts['lang'];
    $host = createyourleague_host($lang);

    return file_get_contents('http://' . $host . '/api/php-lastday/' . $id, false, createyourleague_context());
}

/* [riscla id=442 lang="en"] */
function createyourleague_topscorers_func($atts) {
    $id = $atts['id'];
    $lang = $atts['lang'];
    $host = createyourleague_host($lang);

    return file_get_contents('http://' . $host . '/api/php-topscorers/' . $id, false, createyourleague_context());
}

add_shortcode('createyourleague', 'createyourleague_ranking_func');
add_shortcode('createyourleague_days', 'createyourleague_days_func');
add_shortcode('createyourleague_lastday', 'createyourleague_lastday_func');
add_shortcode('createyourleague_topscorers', 'createyourleague_topscorers_func');


